<?php

namespace Drupal\confirm_unpublish\Controller;

use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Drupal\Core\Controller\ControllerBase;

class ConfirmUnpublishController extends ControllerBase {
public function log(Request $request) {
  $uid = $request->request->get('uid');
  $nid = $request->request->get('nid');

  if (\Drupal::config('confirm_unpublish.settings')->get('logging')) {
    $user = \Drupal\user\Entity\User::load($uid);
    $node = \Drupal\node\Entity\Node::load($nid);

    $username = $user ? $user->getAccountName() : 'Unknown';
    $alias = $node
      ? \Drupal::service('path_alias.manager')->getAliasByPath('/node/' . $nid)
      : '/node/' . $nid;

    \Drupal::logger('confirm_unpublish')->notice('User %user confirmed unpublish of %alias.  This only means they clicked continue on the confirmation box.  It does not mean they actually saved the node.  Check content log or revision history to verify.', [
      '%user' => $username,
      '%alias' => $alias,
    ]);
  }

  return new JsonResponse(['status' => 'ok']);
}

}

